<?php require_once('../../Connections/cn.php'); ?>
<?php 
// Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");

$id_periodo=$_GET['id_periodo'];
$sede=$_GET['sede'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$sql4 = "select nombre_sede from sedes where codigo='$sede'";
$rs4=mysql_query($sql4,$cn);
$row4=mysql_fetch_array($rs4);
$nom_sede=$row4['nombre_sede'];

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(575,15,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$fecha_impresion = date("d-m-Y g:i a");
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.


$sql = "SELECT codigo,mes_inicio,mes_fin,fecha_ini,fecha_fin FROM periodos WHERE id_periodo='$id_periodo'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$descripcion_periodo=$row['codigo'].' ('.$row['mes_inicio'].' 2013'.' - '.$row['mes_fin'].' 2013'.')';

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Courier.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
//$pdf->ezText("                                   Sede: ".$nom_sede,10,array('justification'=>'left'));
$pdf->ezText("                                   ",10,array('justification'=>'left'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("MATRÍCULA ESTUDIANTIL POR MENCIONES").'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-15);

$pdf->ezText('<b>'.utf8_decode("           LAPSO ACADÉMICO: ").'</b>'.$descripcion_periodo,10 ,array('justification'=>'left'));
if($sede!="0"){
$pdf->ezsetdy(-3);
$pdf->ezText('<b>'.utf8_decode("           SEDE: ").'</b>'.$nom_sede,10 ,array('justification'=>'left'));
}
//$pdf->addText(490,632,8,'<b>'."Fecha: ".'</b>'.date("d/m/Y"));
// Fin del Encabezado.
// Inicio del Pie de P�gina.

// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
if($sede=="0"){
   $pdf->ezSetCmMargins(5,6.5,3.5,3);
}
else{
   $pdf->ezSetCmMargins(5.5,6.5,3.5,3);
}
 
//superior,inferior,
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('sem'=>'<b>'.'SEM.'.'</b>', 
			  'ciu'=>utf8_decode('<b>'.'CIU'.'</b>'), 
			  'cg'=>utf8_decode('<b>'.'COMPONENTE GENERAL'.'</b>'), 
              'ace'=>'<b>'.'ADUANAS Y COMERCIO EXTERIOR'.'</b>', 
              'rt'=>utf8_decode('<b>'.'RENTAS'.'</b>'.'    '),
			  'fin'=>'<b>'.utf8_decode('FINANZAS PÚBLICAS').'            '.'</b>',
			  'total'=>'<b>'.utf8_decode('TOTAL').'</b>');
			   
$smc = 0;
// Convierte la Nota a Letras.
   $sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='0' and id_periodo='$id_periodo'";
   if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $ciu= current($row);
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'0',
	                'ciu'=>$ciu,
					'cg'=>'0', 
                    'ace'=>'0', 
                    'rt'=>'0', 
                    'fin'=>'0',
					'total'=>$ciu); 

   $sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='1' and id_periodo='$id_periodo'";
   if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $cg1= current($row);
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'1',
	                'ciu'=>'0',
	                'cg'=>$cg1, 
                    'ace'=>'0', 
                    'rt'=>'0', 
                    'fin'=>'0',
					'total'=>$cg1); 
					
   $sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='2' and id_periodo='$id_periodo'";
   if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $cg2= current($row);
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'2',
	                'ciu'=>'0',
	                'cg'=>$cg2, 
                    'ace'=>'0', 
                    'rt'=>'0', 
                    'fin'=>'0',
					'total'=>$cg2); 
					
	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='3' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $cg3= current($row);
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'3',
	                'ciu'=>'0', 
	                'cg'=>$cg3, 
                    'ace'=>'0', 
                    'rt'=>'0', 
                    'fin'=>'0',
					'total'=>$cg3); 
	// 4to. Semestre			
	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='4' and mencion='ACE' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $ace4= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='4' and mencion='RT' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $rt4= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='4' and mencion='FIN' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $fin4= current($row);
   $total4=$ace4+$rt4+$fin4;
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'4',
	                'ciu'=>'0',
	                'cg'=>'0', 
                    'ace'=>$ace4, 
                    'rt'=>$rt4, 
                    'fin'=>$fin4,
					'total'=>$total4);
	// 5to. Semestre			
	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='5' and mencion='ACE' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $ace5= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='5' and mencion='RT' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $rt5= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='5' and mencion='FIN' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $fin5= current($row);
   $total5=$ace5+$rt5+$fin5;
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'5',
	                'ciu'=>'0',
	                'cg'=>'0', 
                    'ace'=>$ace5, 
                    'rt'=>$rt5, 
                    'fin'=>$fin5,
					'total'=>$total5);
					
	// 6to. Semestre			
	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='6' and mencion='ACE' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $ace6= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='6' and mencion='RT' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $rt6= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='6' and mencion='FIN' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $fin6= current($row);
   $total6=$ace6+$rt6+$fin6;
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'6',
	                'ciu'=>'0',
	                'cg'=>'0', 
                    'ace'=>$ace6, 
                    'rt'=>$rt6, 
                    'fin'=>$fin6,
					'total'=>$total6);
					
// 4to. Semestre			
	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='7' and mencion='ACE' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $ace7= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='7' and mencion='RT' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $rt7= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='7' and mencion='FIN' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $fin7= current($row);
   $total7=$ace7+$rt7+$fin7;
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'7',
	                'ciu'=>'0',
	                'cg'=>'0', 
                    'ace'=>$ace7, 
                    'rt'=>$rt7, 
                    'fin'=>$fin7,
					'total'=>$total7);
					
	// 8vo. Semestre			
	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='8' and mencion='ACE' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $ace8= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='8' and mencion='RT' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $rt8= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='8' and mencion='FIN' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $fin8= current($row);
   $total8=$ace8+$rt8+$fin8;
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'8',
	                'ciu'=>'0',
	                'cg'=>'0', 
                    'ace'=>$ace8, 
                    'rt'=>$rt8, 
                    'fin'=>$fin8,
					'total'=>$total8);		
					
	// 9no. Semestre			
	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='9' and mencion='ACE' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $ace9= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='9' and mencion='RT' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $rt9= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='9' and mencion='FIN' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $fin9= current($row);
   $total9=$ace9+$rt9+$fin9;
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'9',
	                'ciu'=>'0',
	                'cg'=>'0', 
                    'ace'=>$ace9, 
                    'rt'=>$rt9, 
                    'fin'=>$fin9,
					'total'=>$total9);
					
	// 10mo. Semestre			
	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='10' and mencion='ACE' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $ace10= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='10' and mencion='RT' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $rt10= current($row);
   
   	$sql = "SELECT COUNT(*) FROM `historial_alumnos` where semestre='10' and mencion='FIN' and id_periodo='$id_periodo'";
	if($sede!="0") $sql=$sql." and historial_alumnos.sede='$sede'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $fin10= current($row);
   $total10=$ace10+$rt10+$fin10;
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sem'=>'10',
	                'ciu'=>'0', 
	                'cg'=>'0', 
                    'ace'=>$ace10, 
                    'rt'=>$rt10, 
                    'fin'=>$fin10,
					'total'=>$total10);

	$total_cg=$cg1+$cg2+$cg3;
	$total_ace=$ace4+$ace5+$ace6+$ace7+$ace8+$ace9+$ace10;
	$total_rt=$rt4+$rt5+$rt6+$rt7+$rt8+$rt9+$rt10;
	$total_fin=$fin4+$fin5+$fin6+$fin7+$fin8+$fin9+$fin10;
	$total_matricula=$total_cg+$total_ace+$total_rt+$total_fin+$ciu;
     
	 $data[] = array('sem'=>'<b>'.'TOTALES'.'</b>',
	                'ciu'=>'<b>'.$ciu.'</b>',
	                'cg'=>'<b>'.$total_cg.'</b>', 
                    'ace'=>'<b>'.$total_ace.'</b>', 
                    'rt'=>'<b>'.$total_rt.'</b>', 
                    'fin'=>'<b>'.$total_fin.'</b>',
					'total'=>'<b>'.$total_matricula.'</b>');
														
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('sem'=>array('justification'=>'center') 
			 ,'ciu'=>array('justification'=>'center') 
			 ,'cg'=>array('justification'=>'center') 
             ,'ace'=>array('justification'=>'center') 
             ,'rt'=>array('justification'=>'center') 
             ,'fin'=>array('justification'=>'center')
			 ,'total'=>array('justification'=>'right')) 
));// salida 
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.utf8_decode("IMPRESO POR: ").'</b>'.$fecha_impresion.'<b>'.utf8_decode("FECHA DE IMPRESIÓN: ").'</b>'.$fecha_impresion,8,array('justification'=>'right'));
if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

